Check Benefit eligibility
curl --request POST \
--url https://api.heyrafiki.space/v1/eligibility_checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"member_reference": "<string>",
"service_code": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"amount": 2
}
'import requests
url = "https://api.heyrafiki.space/v1/eligibility_checks"
payload = {
"member_reference": "<string>",
"service_code": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"amount": 2
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
member_reference: '<string>',
service_code: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
amount: 2
})
};
fetch('https://api.heyrafiki.space/v1/eligibility_checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"reason_codes": [],
"service": {
"code": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
},
"amount": {
"requested": 2,
"currency": "<string>",
"maximum_per_session": 2
},
"authorization_required": true,
"remaining_sessions": 1,
"coverage_valid_until": "2023-11-07T05:31:56Z",
"checked_at": "2023-11-07T05:31:56Z"
}{
"id": "<string>",
"object": "<string>",
"reason_codes": [],
"service": {
"code": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z"
},
"amount": {
"requested": 2,
"currency": "<string>",
"maximum_per_session": 2
},
"authorization_required": true,
"remaining_sessions": 1,
"coverage_valid_until": "2023-11-07T05:31:56Z",
"checked_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Check Benefit eligibility
Evaluates synthetic Cover for a scheduled service. Requires benefits:write.
POST
/
eligibility_checks
Check Benefit eligibility
Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Headers
A caller-owned key for safely retrying one write.
Required string length:
8 - 255Body
application/json
Required string length:
1 - 100Pattern:
^[A-Za-z0-9_-]+$Required string length:
1 - 100Pattern:
^[A-Za-z0-9._:-]+$Requested amount in the currency's minor unit.
Required range:
x >= 1Available options:
KES, USD, EUR, GBP Response
The original eligibility decision for an idempotent replay
Maximum string length:
100Pattern:
^elig_[A-Za-z0-9_-]+$Allowed value:
"eligibility_check"Available options:
eligible, ineligible Available options:
eligible, coverage_not_found, coverage_inactive, outside_coverage_period, benefit_exhausted, amount_exceeds_benefit Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Last modified on July 30, 2026
⌘I

